package com.logicbig.example;

import org.junit.Test;

import java.time.LocalTime;
import java.util.concurrent.TimeUnit;

public class TestExample2 {

    @Test
    public void test1() {
        printThreadInfo("test1");
    }

    @Test
    public void test2() {
        printThreadInfo("test2");
    }

    @Test
    public void test3() {
        printThreadInfo("test3");
    }

    private static void printThreadInfo(String testName) {
        System.out.printf("Test= %s, Thread= %s, Time= %s%n",
                testName, Thread.currentThread().getName(), LocalTime.now());
        //add some delay
        try {
            TimeUnit.SECONDS.sleep(1);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}